
/**
 * Testovací třída pro třídu Craps.
 */
public class CrapsTest {
	
	public static void main(String[] args) {
		// vytvoření nové instance hry kostky
		Craps game = new Craps();
		
		// testovacích 1000 pokusů
		for (int i = 0; i < 10000; i++) {
			game.play();
		}
		
		// tisk výsledků
		System.out.printf(
				"Výsledky po %d hrách:\n\n", 
				game.getGameCount());
		
		// 1. přehled výher
        System.out.println("Prehled vyher:");
        game.prehledVyher();
		
		// 2. přehled proher
        System.out.println("Prehled proher:");
        game.prehledProher();
		
		// 3. pravděpodobnost výhry
		System.out.printf(
				"Pravděpodobnost výhry byla %.5f (%.2f%%)\n\n",
				game.getWinChance(), game.getWinChance() * 100);
		
		// 4. průměrná délka hry
        System.out.printf(
                "Průměrná délka hry: %.3f\n",game.prumernaDelkaHry());
		
		// 5. pravděpodobnost výhry v závislosti na délce hry
        System.out.println(
            "Pravděpodobnost výhry v závislosti na délce hry");
        game.prehledVyherDleDelkyHry();
		
		// testovací tisk - toto smaľte
		//game.testBarGraph();
	}
	
}
